/*
  Expt1_Rx - Receiving sketch using Virtual Wire
  with a 433 MHz Rx module with VWComm library functions
*/
#include <VirtualWire.h>
#include <VWComm.h>
const int receive_pin=11; // Rx data to D11
byte b; // byte to hold received values
String dt; // string to use with VWComm
VWComm vwc; // create an object to use with VWComm

void setup()
{
  vw_set_rx_pin(receive_pin);
  vw_setup(2000); // data Rx rate (bits per sec)
  vw_rx_start(); // start the receiver running
  Serial.begin(9600); // initialise serial output
  Serial.println("Starting...");
}
void loop()
{
  dt = vwc.dataType(); // wait for and identify data
  if (dt == "B") { // code ‘B’ indicates ‘byte’
    b = vwc.readByte();
    Serial.print("Byte received: ");
    Serial.println(b);
  }
  else {
    Serial.println("Data type not recognised!");
  }
}
