/*
  Expt10_Stage2_Rx - Testing data written an SD Card
*/

#include <SPI.h>
#include <SD.h>
const int CSPin = 10; // data pin of SD card to D10
File testFile;
String filename = "test.txt";

void setup()
{
  Serial.begin(9600);
  if (!SD.begin(CSPin)) {
    Serial.println("Could not initialise SD Card");
    return;
  }
  // open file for writing data
  testFile = SD.open(filename, FILE_WRITE);
  if (testFile) {
    Serial.println("Writing data");
    testFile.println("testing 1, 2, 3.");
    testFile.close();
  }
  else {
    // if the file didn't open, print an error:
    Serial.print("error opening file: ");
    Serial.println(filename);
  }
  // re-open the file for reading data
  testFile = SD.open(filename, FILE_READ);
  if (testFile) {
    while (testFile.available()) {
      Serial.write(testFile.read());
    }
    testFile.close();
  } else {
    Serial.println("Could not open file for reading");
  }
}

void loop(){}
