/*
  Expt10_Stage3_Rx - Receiving Data Values
  and storing them on an SD card with date/time  
*/
#include <Wire.h>
#include "RTClib.h"
#include <VirtualWire.h>
#include <VWComm.h>
#include <SPI.h>
#include <SD.h>
const int receive_pin = 7; // D7 to 433 Rx data pin
const int CSPin = 10; // Set Chip Select for particular shield
const int red = 2; // D2 connected to red of RGB LED
const int green = 3; // D3 connected to green of RGB LED
const int blue = 4; // D4 connected to blue of RGB LED
int i;
byte b;
String dt;
String text;
File testFile;
String filename = "test.txt";
VWComm vwc; //initialize an instance of the class
RTC_DS1307 RTC;

void setup()
{
  // The following must be included
  vw_set_rx_pin(receive_pin);
  vw_setup(2000); // Bits per sec
  vw_rx_start();
  // Put your set up code here ....
  Serial.begin(9600);
  Wire.begin();
  RTC.begin();
  if (! RTC.isrunning()) {
    Serial.println("RTC is NOT running!");
    RTC.adjust(DateTime(__DATE__, __TIME__));
  }
  if (!SD.begin(CSPin)) {
    Serial.println("Could not initialise SD Card");
    return;
  }
  Serial.println("Starting...");
  setRGBLed("green");
}
void loop()
{
  text = "";
  do {
    dt = vwc.dataType();
    if (dt == "S") {
      text = vwc.readStr();
    }
  } while (text != "Synch");
  setRGBLed("red"); // receiving and recording data
  appendToFile(GetDateTime());
  for (int j = 0; j < 2; j++) {// get humidity and temp
    dt = vwc.dataType();
    if (dt == "S") {
      text = vwc.readStr();
      appendToFile(text);
    }
    else
    {
      appendToFile("???");
    }
    dt = vwc.dataType();
    if (dt == "I") {
      i = vwc.readInt();
      appendToFile(String(i));
    }
    else
    {
      appendToFile("???");
    }
  }
  setRGBLed("green"); // indicate waiting for new data
}
String GetDateTime() {
  String dtval = "";
  DateTime now = RTC.now();
  dtval = String(now.day()) + "/";
  dtval = dtval + String(now.month()) + "/";
  dtval = dtval + String(now.year()) + " ";
  dtval = dtval + String(now.hour()) + ":";
  dtval = dtval + String(now.minute()) + ":";
  dtval = dtval + String(now.second());
  return dtval;
}
void appendToFile(String text)
{
  testFile = SD.open(filename, FILE_WRITE);
  if (testFile) {
    testFile.println(text);
    testFile.close();
  }
}
void setRGBLed(String colour) {
  // set all RGB LED pins LOW
  digitalWrite(red, LOW);
  digitalWrite(green, LOW);
  digitalWrite(blue, LOW);
  //set the selected colour(s) HIGH
  if (colour == "red") {
    digitalWrite(red, HIGH);
  }
  else if (colour == "green") {
    digitalWrite(green, HIGH);
  }
  else if (colour == "blue") {
    digitalWrite(blue, HIGH);
  }
  // any other colour value results in OFF
}
