/*
  Expt2_Stage2_Rx - Receiving on/off signals as 1s or 0s
  Same code as used in Stage 2
*/
#include <VirtualWire.h>
#include <VWComm.h>
const int receive_pin = 11; // Rx data to D11
byte b; // variable to hold received values
String dt;// variable to hold received values
VWComm vwc; // create an object to use with VWComm

void setup()
{
  vw_set_rx_pin(receive_pin);
  vw_setup(2000); // Data Rx rate (bits per sec)
  vw_rx_start(); // Start the receiver running
  Serial.begin(9600); // initialise serial output
  Serial.println("Starting...");
}
void loop()
{
  dt = vwc.dataType(); // wait for and identify data              //identify its type
  if (dt == "B") { // code ‘B’ indicates ‘byte’
    b = vwc.readByte(); // get the byte of data
    Serial.print("Switch signal received: ");
    if (b == 0) { // check value of received data
      Serial.println("OFF");
    }
    else if (b == 1) {
      Serial.println("ON");
    }
    else {
      Serial.println("Data type not recognised!");
    }
  }
}
