/*
  Expt2_Stage4_Rx  switching from ON/OFF signals
  Switch an LED ON or OFF
*/
#include <VirtualWire.h>
#include <VWComm.h>
const int receive_pin = 11; // Rx data to D11
const int ledPin = 13; // connect anode of LED to D13
VWComm vwc; // create an object to use with VWComm
String dt; // string to receive data type
byte b; // byte to hold received value

void setup()
{
  vw_set_rx_pin(receive_pin);
  vw_setup(2000); // Bits per sec
  vw_rx_start(); // Start the receiver running
  pinMode(ledPin, OUTPUT); // set ledPin as an output
  Serial.begin(9600); // initialise serial monitor
  Serial.println("Starting..."); // print to serial mon
  digitalWrite(ledPin, LOW); // start in OFF state
}

void loop()
{
  dt = vwc.dataType(); // wait for incoming data
  if (dt == "B") { // code ‘B’ indicates ‘byte’
    b = vwc.readByte(); // get the byte of data
    Serial.print("Switch signal received: ");
    if (b == 0) { // check value of received data
      Serial.println("OFF");
      digitalWrite(ledPin, LOW); //switch LED off
    }
    else if (b == 1) {
      Serial.println("ON");
      digitalWrite(ledPin, HIGH); //switch LED off
    }
    else {
      Serial.println("Data type not recognised!");
    }
  }
}
