/*
  Expt2_Stage4_Tx  ON/OFF signals using button push
  Same code as in Stage 3
*/
#include <VirtualWire.h>
#include <VWComm.h>
const int transmit_pin = 12; // data pin of Tx to pin 12
const int inPin = 8; // push button to pin 8
VWComm vwc; // create an object to use with VWComm
byte b = 1; // byte to hold transmitted values

void setup() {
  vw_set_tx_pin(transmit_pin);
  vw_setup(2000); // Bits per sec
  pinMode(inPin, INPUT); // set inPin as an input
  digitalWrite(inPin, HIGH); // pull-up(unconnected = high)
}

void loop() {
  if (digitalRead(inPin) == LOW) { // check for button push
    vwc.sendByte(b); // send value of b
    delay(300); // short delay
    b = 1 - b; // invert the value of b (1->0, 0->1)
  }
}
