/*
  Expt3_Stage1_Tx Sending data values and
  adding LED indicator
*/
#include <VirtualWire.h>
#include <VWComm.h>
const int transmit_pin = 12; // Tx data to D12
const int inPin = 8; // push button to D8
const int ledPin = 9; // indicator for ready to transmit
byte b = 1; // byte to hold transmitted value
VWComm vwc; // create an object to use with VWComm

void setup() {
  pinMode(ledPin, OUTPUT); // set pin for output
  digitalWrite(ledPin, LOW); // indicate 'not ready'
  vw_set_tx_pin(transmit_pin); // transmit pin
  vw_setup(2000); // Bits per sec
  pinMode(inPin, INPUT); // set inPin as an input
  digitalWrite(inPin, HIGH); //unconnected = high
  digitalWrite(ledPin, HIGH); // indicate 'ready'
}

void loop() {
  if (digitalRead(inPin) == LOW) {//check button-push
    digitalWrite(ledPin, LOW); // signal 'not ready'
    vwc.sendByte(b); // send value of b
    delay(300); // short delay
    b = 1 - b; // invert the value of b (1->0, 0->1)
    digitalWrite(ledPin, HIGH); // 'ready to transmit'
  }
}
