/*
  Expt3_Stage2_Rx - Receiving on/off signals and indicating
  when ready to receive (same code as Stage 1)
*/
#include <VirtualWire.h>
#include <VWComm.h>
const int receive_pin = 11; // Rx data to D11
const int ledPin = 12; // connect anode of LED to D12
String dt; // string to receive data type
byte b; // byte to hold received value
VWComm vwc; // create an object to use with VWComm

void setup() {
  vw_set_rx_pin(receive_pin);
  vw_setup(2000); // Bits per sec
  vw_rx_start(); // Start the receiver running
  pinMode(ledPin, OUTPUT); // set ledPin as an output
  Serial.begin(9600); // initialise serial output
  Serial.println("Starting..."); // print to serial mon
  digitalWrite(ledPin, HIGH); // indicate 'ready'
}

void loop() {
  dt = vwc.dataType(); // wait for incoming data
  digitalWrite(ledPin, LOW); //indicate busy
  if (dt == "B") { // code ‘B’ - data type ‘byte’
    b = vwc.readByte(); // get the byte of data
    Serial.print("Switch signal received: ");
    if (b == 0) { // check value of received data
      Serial.println("OFF");
    }
    else if (b == 1) {
      Serial.println("ON");
    }
    else {
      Serial.println("Data type not recognised!");
    }
  }
  digitalWrite(ledPin, HIGH); // indicate 'ready'
}
