/*
  Expt3_Stage3_Tx use RGB LED to indicate
  byte of data sent
*/
#include <VirtualWire.h>
#include <VWComm.h>
const int transmit_pin = 12; // Tx data to D12
const int inPin = 8; // input from push button (D8)
const int redPin = 7; // LED 'red' pin (D7)
const int greenPin = 6; // LED 'green' pin (D6)
const int bluePin = 5; // LED 'blue' pin (D5)
byte i = 0; // byte to hold transmitted value
VWComm vwc; // create an object to use with VWComm

void setup() {
  vw_set_tx_pin(transmit_pin);
  vw_setup(2000); // Bits per sec
  pinMode(inPin, INPUT);
  digitalWrite(inPin, HIGH); // use pull-up
  pinMode(redPin, OUTPUT);
  pinMode(greenPin, OUTPUT);
  pinMode(bluePin, OUTPUT);
  setColour("OFF"); // switch LED off
}

void loop() {
  if (digitalRead(inPin) == LOW) {
    i = 1 - i; // toggle data value
    vwc.sendByte(i); // send data
    setColour("BLUE"); // switch on LED (blue)
    delay(2000); // delay 2 seconds
    setColour("OFF"); // switch off LED
  }
}

void setColour(String ledCol) {
  // set all led pins low
  digitalWrite(redPin, LOW);
  digitalWrite(greenPin, LOW);
  digitalWrite(bluePin, LOW);
  // then set pins to the chosen colour
  if (ledCol == "BLUE") {
    digitalWrite(bluePin, HIGH);
  }
  else if (ledCol == "GREEN") {
    digitalWrite(greenPin, HIGH);
  }
  else if (ledCol == "RED") {
    digitalWrite(redPin, HIGH);
  }
  // add other colour options here
}
