/*
  Expt3_Stage4_Tx use RGB LED to indicate
  value of data sent and adding extra colour
*/
#include <VirtualWire.h>
#include <VWComm.h>
const int transmit_pin = 12; // Tx data to D12
const int inPin = 8; // input from push button (D8)
const int redPin = 7; // LED 'red' pin (D7)
const int greenPin = 6; // LED 'green' pin (D6)
const int bluePin = 5; // LED 'blue' pin (D5)
byte i = 0; // byte to hold transmitted value
VWComm vwc; // create an object to use with VWComm

void setup() {
  vw_set_tx_pin(transmit_pin);
  vw_setup(2000); // Bits per sec
  pinMode(inPin, INPUT);
  digitalWrite(inPin, HIGH); // use pull-up
  pinMode(redPin, OUTPUT);
  pinMode(greenPin, OUTPUT);
  pinMode(bluePin, OUTPUT);
  setColour("OFF"); // switch LED off
}

void loop() {
  if (digitalRead(inPin) == LOW) {
    i = i + 1;
    if (i > 3) {
      i = 0;
    }
    switch (i) {
      case 0:
        vwc.sendByte(i);
        setColour("BLUE");
        break;
      case 1:
        vwc.sendByte(i);
        setColour("RED");
        break;
      case 2:
        vwc.sendByte(i);
        setColour("GREEN");
        break;
      case 3:
        vwc.sendByte(i);
        setColour("WHITE");
        break;
    }
    delay(2000);
    setColour("OFF");
  }
}

void setColour(String ledCol) {
  // set all led pins low
  digitalWrite(redPin, LOW);
  digitalWrite(greenPin, LOW);
  digitalWrite(bluePin, LOW);
  // then set pins to the chosen colour
  if (ledCol == "BLUE") {
    digitalWrite(bluePin, HIGH);
  }
  else if (ledCol == "GREEN") {
    digitalWrite(greenPin, HIGH);
  }
  else if (ledCol == "RED") {
    digitalWrite(redPin, HIGH);
  }
  else if (ledCol == "WHITE") {
    digitalWrite(redPin, HIGH);
    digitalWrite(greenPin, HIGH);
    digitalWrite(bluePin, HIGH);
  }
}
