/*
   Expt4_Stage1_Rx - Generalised Receiver Sketch
*/
#include <VWComm.h>
#include <VirtualWire.h>
const int receive_pin = 11; // Rx data to D11
String dt; // string to received data type
byte b; // byte to hold received value
int i; // integer to hold received value
float f; // float to hold received value
String text; // string to hold received text
VWComm vwc; // create an object to use with VWComm

void setup() {
  vw_set_rx_pin(receive_pin);
  vw_setup(2000); // Bits per sec
  vw_rx_start(); // Start the receiver
  Serial.begin(9600); // initialise serial output
  Serial.println("Starting...");
}

void loop() {
  dt = vwc.dataType();
  if (dt == "B") {
    b = vwc.readByte();
    Serial.print("Byte received: ");
    Serial.println(b);
  }
  else if (dt == "I") {
    i = vwc.readInt();
    Serial.print("Integer received: ");
    Serial.println(i);
  }
  else if (dt == "S") {
    text = vwc.readStr();
    Serial.print("String received: ");
    Serial.println(text);
  }
  else if (dt == "F") {
    f = vwc.readFloat();
    Serial.print("Float received: ");
    Serial.println(f, DEC);
  }
  else {
    Serial.println("Data type not recognised!");
  }
}
