/*
  Expt6_Stage2_Rx - Receiving Sketch
  Enhanced Doorbell Simulator using Interrupt (pin 2)
*/
#include <VirtualWire.h>
#include <VWComm.h>
const int receive_pin = 11; // Rx data to D11
const int buzzer = 7; // buzzer anode to D7
const int ledPin = 13; // LED anode to D13
volatile boolean mute = false; // use with interrupt
String dt; // string to received data type
byte b; // byte to hold received value
VWComm vwc; // create an object to use with VWComm

void setup()
{
  vw_set_rx_pin(receive_pin);
  vw_setup(2000);  // Bits per sec
  vw_rx_start();   // Start the receiver running
  pinMode(buzzer, OUTPUT); // buzzer pin as output
  pinMode(ledPin, OUTPUT); // LED pin as output
  digitalWrite(ledPin, LOW); //start with LED off
  attachInterrupt(digitalPinToInterrupt(2), toggleMute, FALLING);
  digitalWrite(2, HIGH); // set interrupt pin HIGH
}

void loop()
{
  dt = vwc.dataType(); // wait for incoming data and identify its type
  if (dt == "B") { // code ‘B’ indicates data type ‘byte’
    b = vwc.readByte(); // get the byte of data
    if ((b == 1) && (!mute)) {
      soundBuzzer();
    }
  }
}

void soundBuzzer()
{
  digitalWrite(ledPin, HIGH); // switch on led
  tone(buzzer, 2000, 2000); // sound buzzer
  delay(3000);
  digitalWrite(ledPin, LOW); // switch off led
}

void toggleMute()
{
  mute = !mute; // toggle mute
  delay(1000); // allow time to release button
}

