/*
  Expt6_Stage4_Rx - Receiving Sketch
  Modifying an Existing Doorbell
*/

#include <VirtualWire.h>
#include <VWComm.h>
const int receive_pin = 11; // Rx data to D11
const int doorbell = 7; // relay connection to D7
String dt; // string to received data type
byte b; // byte to hold received value
VWComm vwc; // create an object to use with VWComm

void setup()
{
  vw_set_rx_pin(receive_pin);
  vw_setup(2000); // Bits per sec
  vw_rx_start(); // Start the receiver running
  pinMode(doorbell, OUTPUT); // set pin as output
  digitalWrite(doorbell, LOW); // ensure doorbell is OFF
}

void loop()
{
  dt = vwc.dataType(); // wait for incoming data
  if (dt == "B") { // code ‘B’ indicates‘byte’
    b = vwc.readByte(); // get the byte of data
    if (b == 1) {
      digitalWrite(doorbell, HIGH); // sound doorbell
      delay(2000);
      digitalWrite(doorbell, LOW); // doorbell OFF
    }
  }
}
