/*
  Expt7_Stage1_Rx - Receiving Sketch (standard)
  Receive and Display Humidity and Temperature values
*/
#include <VWComm.h>
#include <VirtualWire.h>
const int receive_pin=11; // Rx data to D11
String text; // string to hold received text
int i; // integer to hold received values
byte b; // byte to hold received values
float f; // float to hold received values
String dt; // string to hold received data type
VWComm vwc; // create an object to use with VWComm

void setup()
{
  vw_set_rx_pin(receive_pin);
  vw_setup(2000); // Bits per sec
  vw_rx_start(); // Start the receiver
  Serial.begin(9600); // initialise serial output
  Serial.println("Waiting for start command");
  do
  {
    dt = vwc.dataType();
    if (dt == "S") {
      text = vwc.readStr();
    }
  } while (text != "Start");
  Serial.println("Receiving data ....");
}

void loop()
{
  dt = vwc.dataType();
  if (dt == "B") {
    b = vwc.readByte();
    Serial.print("Byte received: ");
    Serial.println(b);
  }
  else if (dt == "I") {
    i = vwc.readInt();
    Serial.println(i);
  }
  else if (dt == "S") {
    text = vwc.readStr();
    Serial.print(text);
  }
  else if (dt == "F") {
    f = vwc.readFloat();
    Serial.print("Float received: ");
    Serial.println(f, DEC);
  }
  else {
    Serial.println("Data type not recognised!");
  }
}
