/*
  Expt7_Stage1_Tx - Transmitting Sketch
  Humidity and Temperature values using DHT11
*/
#include <VWComm.h>
#include <dht.h>
#include <VirtualWire.h>
const int transmit_pin = 12; // Tx data to D12
const int transmit_en_pin = 3; // reset default
const int dht_dpin = 8; // DHT11 data pin to D8
int x; // variable to hold data values
dht DHT; // create an object to use with dht library
VWComm vwc; // create an object to use with VWComm

void setup()
{
  vw_set_tx_pin(transmit_pin);
  vw_set_ptt_pin(transmit_en_pin); // reset default
  vw_set_ptt_inverted(true); // reset default
  vw_setup(2000); // bits per sec
  vwc.sendStr("Start"); // synchronise with Rx
  delay(500); // delay to allow Rx to synchronise
}

void loop()
{
  DHT.read11(dht_dpin); // get data values
  x = int(DHT.humidity); // humidity component
  vwc.sendStr("Humidity:"); // send text
  vwc.sendInt(x); // send value
  x = int(DHT.temperature); // temperature component
  vwc.sendStr("Temperature:"); // send text
  vwc.sendInt(x); // send value
  delay(2000); // Pause for 2 seconds.
}
