/*
  Expt7_Stage2_Tx - Transmitting Sketch
  Pressure and altitude values using BMP180
*/
#include <VirtualWire.h>
#include <VWComm.h>
#include <SFE_BMP180.h>
#include <Wire.h>
SFE_BMP180 pressure;
VWComm vwc;
double baseline; // baseline pressure
double a, P; // variables for altitude and pressure
const int transmit_pin = 12;
const int transmit_en_pin = 3;

void setup()
{
  vw_set_tx_pin(transmit_pin);
  vw_set_ptt_pin(transmit_en_pin);
  vw_set_ptt_inverted(true);
  vw_setup(2000); // Bits per sec
  vwc.sendStr("Start");
  delay(200);
  if (pressure.begin())
    vwc.sendStr("BMP180 init success");
  else
  {
    vwc.sendStr("BMP180 init fail");
    while (1); // Pause forever.
  }
  baseline = getPressure();
}

void loop()
{
  P = getPressure(); // get a new pressure reading:
  vwc.sendStr("Pressure (mb):");
  delay(500);
  vwc.sendFloat(float(P), 4);
  delay(500);
  a = pressure.altitude(P, baseline); // rel. alt.
  vwc.sendStr("Altitude (m):");
  delay(500);
  vwc.sendFloat(float(a), 4);
  delay(2000);
}

double getPressure()
{
  char status;
  double T, P, p0, a;
  status = pressure.startTemperature();
  if (status != 0)
  {
    delay(status);
    status = pressure.getTemperature(T);
    if (status != 0)
    {
      status = pressure.startPressure(3);
      if (status != 0)
      {
        delay(status);
        status = pressure.getPressure(P, T);
        if (status != 0)
        {
          return (P);
        }
      }
    }
  }
}
