/*
  Expt7_Stage4_Rx Receiver Sketch
  Display weather data and time values
*/
#include <Wire.h>
#include <RTClib.h>
#include <LiquidCrystal.h>
#include <VirtualWire.h>
#include <VWComm.h>
const int receive_pin = 7; // Rx data to D7
String text; // string to hold received text
int i; // integer to hold received values
byte b; // byte to hold received values
float f; // float to hold received values
String dt; // string to hold received data type
byte line = 0; // line indicator for lcd display
byte count = 0; // data count to refresh lcd display
VWComm vwc; // create an object to use with VWComm
RTC_DS1307 rtc; // create an object to use with RTC
// initialize library with interface pin details
LiquidCrystal lcd(12, 11, 5, 4, 3, 2);
void setup()
{
  Wire.begin(); // initialise Wire for use with clock
  rtc.begin(); // initialise real time clock
  if (! rtc.isrunning()) { // update clock
    rtc.adjust(DateTime(__DATE__, __TIME__));
  }
  vw_set_ptt_pin(13); // reset default
  vw_set_rx_pin(receive_pin); // reset default
  vw_setup(2000); // Bits per sec
  vw_rx_start(); // Start the receiver
  lcd.begin(20, 4); // initialise LCD display
}

void loop()
{
  dt = vwc.dataType(); // wait for and identify data
  if (dt == "B") {
    b = vwc.readByte(); // byte received
    lcd.setCursor(0, line);
    lcd.print(b);
  }
  else if (dt == "S") {
    text = vwc.readStr(); // string received
    if (count == 0) {
      lcd.clear();
    }
    lcd.setCursor(0, line);
    lcd.print(text);
  }
  else if (dt == "I") {
    i = vwc.readInt(); // integer received
    lcd.print(i);
  }
  else if (dt == "F") {
    f = vwc.readFloat(); // float received
    lcd.print(f);
  }
  count = count + 1; // count data values received
  line = count / 2; // set line on lcd display
  if (line > 2) { // reset display and show time
    line = 0;
    count = 0;
    lcd.setCursor(0, 4);
    DateTime now = rtc.now();
    lcd.print (" Time " );
    lcd.print(now.hour(), DEC);
    lcd.print(":");
    lcd.print(now.minute(), DEC);
    lcd.print(":");
    lcd.print(now.second(), DEC);
  }
}
