/*
  Expt8_Stage1_Tx - Using digital keypad
  Output to serial monitor (no Rx for this stage)
*/
#include <Keypad.h>
#include <VirtualWire.h>
#include <VWComm.h>
const int transmit_pin = 12; // Tx signal pin to D12
const byte ROWS = 4; // define number of rows
const byte COLS = 4; // define number of columns
char keys[ROWS][COLS] = { // create an array of chars
  {'1', '2', '3', 'A'},
  {'4', '5', '6', 'B'},
  {'7', '8', '9', 'C'},
  {'*', '0', '#', 'D'}
};
byte rowPins[ROWS] = {2, 3, 4, 5}; // define row pinouts
byte colPins[COLS] = {6, 7, 8, 9}; // define col pinouts
VWComm vwc; // create an object to use with VWComm
Keypad keypad = Keypad( makeKeymap(keys), rowPins, colPins, ROWS, COLS ); // create a keypad object
void setup() {
  vw_set_tx_pin(transmit_pin);
  vw_setup(2000); // Bits per sec
  Serial.begin(9600); // initialise serial output
}
void loop() {
  char key = keypad.getKey(); // read keypad input
  if (key != NO_KEY) { // key press detected
    Serial.println(key); // print key value
    vwc.sendByte(byte(key)); // transmit key value
    delay(200); // short delay
  }
}
