/*
  Expt8_Stage3_Rx - Decode signals
  Extension to stage 2 - simulate doorlock
*/
#include <VWComm.h>
#include <VirtualWire.h>
const int redPin = 2; // connect red led anode to D2
const int greenPin = 3; // connect green led anode to D3
const int bluePin = 4; // connect blue led anode to D4
const int receive_pin = 12; // Rx signal pin to D12
byte keys[4] = {4, 3, 2, 1}; // Stored key code
String dt; // String to hold data type code
VWComm vwc; //initialize an instance of the class

void setup() {
  vw_set_rx_pin(receive_pin);
  vw_setup(2000); // Bits per sec
  vw_rx_start(); // Start the receiver
  pinMode(redPin, OUTPUT);
  pinMode(greenPin, OUTPUT);
  pinMode(bluePin, OUTPUT);
}

void loop() {
  setRGB("blue"); // indicate waiting
  byte errCount = 0; // in itialise error count
  for (int i = 0; i < 4; i++) {
    // get 4 key presses
    if (checkDigit(i) > 0) {
      errCount = errCount + 1; // mismatch
    }
  }
  if (errCount < 1) {
    setRGB("green"); // indicate code correct
  }
  else {
    setRGB("red"); // indicate code not correct
  }
  delay(10000); // wait 10 seconds then start again
}

byte checkDigit(byte n) {
  //wait for value and check against stored code
  byte b; // byte to hold received key press
  byte retVal = 0; // return value = 0 if match
  dt = vwc.dataType();
  if (dt == "B") {
    b = vwc.readByte() - 48; // convert to numeric
    if (b != keys[n]) {
      retVal = 1; // indicate mismatch
    }
  }
  flashLED("blue"); // indicate (right or wrong)
  return retVal;
}
void flashLED(String colour) {
  for (int j = 0; j < 3; j++) {
    setRGB("off");
    delay(150);
    setRGB(colour);
    delay(150);
  }
}

void setRGB(String colour) {
  // turn all pins off
  digitalWrite(redPin, LOW);
  digitalWrite(greenPin, LOW);
  digitalWrite(bluePin, LOW);
  // set selected colour
  if (colour == "red") {
    digitalWrite(redPin, HIGH);
  }
  else if (colour == "green") {
    digitalWrite(greenPin, HIGH);
  }
  else if (colour == "blue") {
    digitalWrite(bluePin, HIGH);
  }
}
