/*
  Expt8_Stage4_Tx - Using digital keypad
  Same code as in Stage 1
*/
#include <Keypad.h>
#include <VirtualWire.h>
#include <VWComm.h>
const int transmit_pin = 12; // signal pin of Tx to pin 12
const byte ROWS = 4;
const byte COLS = 4;
char keys[ROWS][COLS] = {
  {'1', '2', '3', 'A'},
  {'4', '5', '6', 'B'},
  {'7', '8', '9', 'C'},
  {'*', '0', '#', 'D'}
};
byte rowPins[ROWS] = {2, 3, 4, 5}; //define row pinouts
byte colPins[COLS] = {6, 7, 8, 9}; //define col pinouts
VWComm vwc; //initialize an instance of the class
Keypad keypad = Keypad( makeKeymap(keys), rowPins, colPins, ROWS, COLS );

void setup() {
  vw_set_tx_pin(transmit_pin);
  vw_setup(2000);       // Bits per sec
  Serial.begin(9600);
}

void loop() {
  char key = keypad.getKey();
  if (key != NO_KEY) {
    Serial.println(key);
    vwc.sendByte(byte(key));
    delay(200);
  }
}

