/*
  Expt9_Stage1_Rx - Multiple receivers - Rx1
  Wait for incoming text and check against ID "Rx-1"
  If it matches, toggle the state of an LED
*/

#include <VirtualWire.h>
#include <VWComm.h>
const int receive_pin = 11; // Rx signal pin to D11
const byte led_pin = 8;

String text;
byte b;
String dt;
boolean led_state = false; // begin with led off

VWComm vwc; //initialize an instance of the class

void setup()
{
  vw_set_rx_pin(receive_pin);
  vw_setup(2000);  // Bits per sec
  vw_rx_start();       // Start the receiver
  pinMode(led_pin, OUTPUT);
  digitalWrite(led_pin, led_state);
}

void loop()
{
  dt = vwc.dataType(); // wait for incoming data
  if (dt == "S") {
    text = vwc.readStr();
    if (text == "Rx-1") {
      led_state = !led_state;
      digitalWrite(led_pin, led_state);
    }
  }
}

