/*
  Expt9_Stage2_Tx - Multiple Receivers
  Adding an LCD display to the Tx
*/

#include <VirtualWire.h>
#include <VWComm.h>
#include <LiquidCrystal.h>
const byte transmit_pin = 3;
const byte receive_pin = 2;
const byte ptt_pin = 1;
const byte select_rx1_pin = A1;
const byte select_rx2_pin = A2;
VWComm vwc; //initialize an instance of the class
LiquidCrystal lcd(8, 9, 4, 5, 6, 7);

void setup()
{
  vw_set_tx_pin(transmit_pin);
  vw_set_rx_pin(receive_pin);
  vw_set_ptt_pin(ptt_pin);
  vw_setup(2000); // Bits per sec
  pinMode(select_rx1_pin, INPUT);
  pinMode(select_rx2_pin, INPUT);
  digitalWrite(select_rx1_pin, HIGH);// use pull-up
  digitalWrite(select_rx2_pin, HIGH);// use pull-up
  lcd.begin(16, 2);
  lcd.clear();
  lcd.setCursor(0, 0);
  lcd.print("Waiting Input");
}
void loop()
{
  if (digitalRead(select_rx1_pin) == LOW) {
    vwc.sendStr("Rx-1");
    lcd.clear();
    lcd.setCursor(0, 0);
    lcd.print("Rx-1 Selected");
    delay(1000);
  }
  else if (digitalRead(select_rx2_pin) == LOW) {
    vwc.sendStr("Rx-2");
    lcd.clear();
    lcd.setCursor(0, 1);
    lcd.print("Rx-2 Selected");
    delay(1000);
  }
}
