/*
  Expt9_Stage3_Tx - Multiple Receivers
  Input from a digital keypad
*/

#include <VirtualWire.h>
#include <VWComm.h>
#include <LiquidCrystal.h>
const byte transmit_pin = 3;
const byte receive_pin = 2;
const byte ptt_pin = 1;
const byte button_pin = A0;
int old_btn_value = 1023; // default 'no-press'
int new_btn_value;
boolean rx1_state = false; // initially rx1 is OFF
boolean rx2_state = false; // initially rx2 is OFF
VWComm vwc; //initialize an instance of the class
LiquidCrystal lcd(8, 9, 4, 5, 6, 7);

void setup()
{
  vw_set_tx_pin(transmit_pin);
  vw_set_rx_pin(receive_pin);
  vw_set_ptt_pin(ptt_pin);
  vw_setup(2000); // Bits per sec
  lcd.begin(16, 2);
  lcd.clear();
  lcd.setCursor(0, 0);
  lcd.print("Rx-1: OFF");
  lcd.setCursor(0, 1);
  lcd.print("Rx-2: OFF");
}

void loop()
{
  new_btn_value = analogRead(button_pin);
  if (abs(new_btn_value - old_btn_value) > 10) {
    if ((new_btn_value > 625) && (new_btn_value < 645)) {
      vwc.sendStr("Rx-1");
      rx1_state = !rx1_state; // toggle rx1 status
      lcd.setCursor(0, 0);
      if (rx1_state) {
        lcd.print("Rx-1: ON ");
      }
      else {
        lcd.print("Rx-1: OFF");
      }
    }
    else if ((new_btn_value > 400) &&
             (new_btn_value < 420)) {
      vwc.sendStr("Rx-2");
      rx2_state = !rx2_state; // toggle rx1 status
      lcd.setCursor(0, 1);
      if (rx2_state) {
        lcd.print("Rx-2: ON ");
      }
      else {
        lcd.print("Rx-2: OFF");
      }
    }
    old_btn_value = new_btn_value;
  }
}
